Bug 1160237 - qemu-img convert intermittently corrupts output images
Summary: qemu-img convert intermittently corrupts output images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Max Reitz
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 1079383 (view as bug list)
Depends On: 1142331
Blocks: 1166605 1167224
TreeView+ depends on / blocked
 
Reported: 2014-11-04 12:04 UTC by Max Reitz
Modified: 2015-03-05 08:13 UTC (History)
17 users (show)

Fixed In Version: qemu-kvm-1.5.3-80.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1142331
: 1166605 1167224 (view as bug list)
Environment:
Last Closed: 2015-03-05 08:13:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0349 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2015-03-05 12:27:34 UTC
Launchpad 1368815 None None None Never

Comment 2 Miroslav Rezanina 2014-11-21 07:34:45 UTC
Fix included in qemu-kvm-1.5.3-80.el7

Comment 6 Max Reitz 2014-11-21 15:00:13 UTC
*** Bug 1079383 has been marked as a duplicate of this bug. ***

Comment 9 Sibiao Luo 2014-11-28 10:09:29 UTC
Verify this issue on qemu-kvm-1.5.3-82.el7.x86_64.

# uname -r && rpm -q qemu-kvm
3.10.0-205.el7.x86_64
qemu-kvm-1.5.3-82.el7.x86_64

# rpm -q --changelog qemu-kvm-1.5.3-82.el7.x86_64 | grep 1160237
- kvm-block-raw-posix-Try-both-FIEMAP-and-SEEK_HOLE.patch [bz#1160237]
- kvm-block-raw-posix-Fix-disk-corruption-in-try_fiemap.patch [bz#1160237]
- kvm-block-raw-posix-use-seek_hole-ahead-of-fiemap.patch [bz#1160237]
- kvm-raw-posix-Fix-raw_co_get_block_status-after-EOF.patch [bz#1160237]
- kvm-raw-posix-raw_co_get_block_status-return-value.patch [bz#1160237]
- kvm-raw-posix-SEEK_HOLE-suffices-get-rid-of-FIEMAP.patch [bz#1160237]
- kvm-raw-posix-The-SEEK_HOLE-code-is-flawed-rewrite-it.patch [bz#1160237]
- Resolves: bz#1160237

Base on above, the fixed patch has been included in the RPM build. Move to VERIFIED status, please correct me if any mistake, thanks.

Best Regards,
sluo

Comment 11 errata-xmlrpc 2015-03-05 08:13:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0349.html


Note You need to log in before you can comment on or make changes to this bug.